Bug 63310

Summary: Update Commons Daemon for improved Java 11 support
Product: Tomcat 9 Reporter: Gerwin <gerwin84>
Component: PackagingAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: normal CC: dkwakkel
Priority: P2    
Version: 9.0.x   
Target Milestone: -----   
Hardware: PC   
OS: All   

Description Gerwin 2019-04-02 13:53:32 UTC
There are a number of Java 11 related bugs open against Commons Daemon. Noteably:

https://issues.apache.org/jira/browse/DAEMON-396 LibraryPath is broken for Java 11
https://issues.apache.org/jira/browse/DAEMON-398 Java 11 jvm.dll startup error messages not available on stdout/stderr

Fixing this depends on there being a new Commons Daemon release
Comment 1 Mark Thomas 2019-04-03 06:01:01 UTC
Mostly a note to myself. If these are being fixed then also look at bug 55969. The suggested changes there to the default user also need Commons Daemon changes.
Comment 2 Mark Thomas 2019-06-20 16:11:32 UTC
Another note to self:

Commons Daemon 1.2.0 onwards will default to running the service as the LocalService user rather than LocalSystem. That will break a default Tomcat install via the installer since LocalService won't have the necessary rights to the work dir for JSPs to work (and there may be a bunch of other issues too).

Addressing the points in bug 55969 will address this issue.
Comment 3 Mark Thomas 2019-07-12 09:29:04 UTC
Fixed in:
- master for 9.0.23 onwards
- 8.5.x for 8.5.44 onwards
- 7.0.x for 7.0.95 onwards